How to run condor_master:

	This is best explained by an example. Suppose we want to run the daemons
	SCHEDD, STARTD, KBDD and NEGOTIATOR on a machine called foo. And we want to
	use condor_master to manage them. Also suppose we have a home directory for
	condor $(CONDOR_HOME) and all the binaries are under $(CONDOR_HOME)/bin.
	First we add/edit this line in the configuration file:
		DAEMON_LIST = SCHEDD, STARTD, NEGOTIATOR
	to tell the master which daemons to run. Then we need to tell the master
	where to find the binaries for these daemons:
		SCHEDD = $(CONDOR_HOME)/bin/condor_schedd
		STARTD = $(CONDOR_HOME)/bin/condor_startd
		NEGOTIATOR = $(CONDOR_HOME)/bin/condor_negotiator
	
	If the user want the machines in the same condor pool to share the same
	global configuration file, there is a convenient variable to control which
	daemon to run on which machine. Suppose the DAEMON_LIST is set to be
		SCHEDD, STARTD, NEGOTIATOR
	and we only want NEGOTIATOR to run if this machine is configured to be the
	CONDOR_HOST. But we want everything else to run on every machine. We
	can add this line in the configuration file:
		NEGOTIATOR_FLAG = CONDOR_HOST 
	The syntax is
		$(DAEMON_NAME)_FLAG = <bool variable>
	where <bool variable> is any other boolean variable in the configuration
	file. This line tells the master only to run the daemon if <bool variable>'s
	value is true. There are other configuration variables that have to be
	set for the master to run. They are specified in the next section.

How to configure condor_master:

    condor_master is configured by adding variables in configuration file. Some
    configuration variables are required, other are not. Each configuration
    variable and it's value occupy one line. Each line looks like
        VARIABLE_NAME = VALUE
    e.g. COLLECTOR_HOST = condor.cs.wisc.edu
	If a configuration variable doesn't exist, then its default value is used.
    The ordering of them is not important. The following variables are required.

		START_DAEMONS		The value tells master whether or not it should
							start any daemons. Default is false.
       	MASTER_LOG          Pathname of the log file.
        MAIL                Mailer program pathname.
        LOG                 Pathname of the log directory.
        COLLECTOR_HOST      Name of the host on which condor_collector runs.
        CONDOR_ADMIN        Email address of condor administrator.

    The following variables are not required.

		PUBLISH_OBITUARIES	True means that the master will send email messages
							to CONDOR_ADMIN when daemons die. False means no
							messages will be sent. Default is False.
		OBITUARY_LOG_LENGTH	How many lines of log should be sent with the
							daemons' obituary. Default is 20 lines.
		MASTER_BACKOFF_CEILING	If a daemon dies too frequently, the master
								will use an exponential backoff scheme to
								reduce its responsiveness to revive that
								daemon. Eventually the master will reduce its
								responsiveness to a minimum. This minimum is
								determined by the value of this variable. The
								meaning of this variable is the maximum amount
								of time the master will wait before it revives
								a daemon. The default is one hour.
		MASTER_BACKOFF_FACTOR	The base number of the above exponential
								scheme. Default is 2.0.
		MASTER_RECOVER_FACTOR	In the above backoff scheme, if a daemon is
								revived and have been running happily since,
								we want to increase the master's responsiveness
								to it back to normal. This variable controls
								how fast this recovering process happens.
								Default is 5 minutes.
        MASTER_DEBUG        Debugging flags. Adding "Foreground" to the value
                            has the same effect as invoking the schedd with
                            '-f' option.
                            e.g. MASTER_DEBUG = D_ALWAYS | Foreground
		MASTER_UPDATE_CTMR_INTERVAL	How often does the master update the
									central manager. Default is 5 minutes.
		PREEN				Pathname of the condor_preen program.
		CHECKJOBQUEUE		Pathname of the condor_checkjobqueue program.
		DAEMON_LIST			List of names of the daemons to be managed by this
							master. e.g. DAEMON_LIST = SCHEDD, STARTD, KBDD
							Default is MASTER, COLLECTOR, NEGOTIATOR, STARTD,
							SCHEDD, KBDD, CKPT_SERVER.

Major differences between version 6 and previous version (5.6):

	1.	In the previous version if the master restarted a daemon more than a
		configured number of times it will kill itself and all condor processes
		on that machine and mail the administrator. In version 6 the master
		will not "commit suicide" under any circumstance. It meerly waits for
		a longer time before restarting the trouble daemon instead of trying
		to restart it immediately in the hope that sooner or later the daemon
		will be fixed.
	2.	The master gets configuration files from the configuration server.
